| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
tagIoDataObject Struct Reference

Describes a single IO data object within a cyclic PROFINET frame, including PROFIsafe parameters and dissection state. More...

`#include <packet-pn.h>`

## Public Attributes
uint16_t | slotNr
uint16_t | subSlotNr
uint32_t | api
uint32_t | moduleIdentNr
uint32_t | subModuleIdentNr
uint16_t | frameOffset
uint16_t | length
uint16_t | amountInGSDML
uint32_t | fParameterIndexNr
uint16_t | f_par_crc1
uint16_t | f_src_adr
uint16_t | f_dest_adr
bool | f_crc_seed
uint8_t | f_crc_len
address | srcAddr
address | dstAddr
bool | profisafeSupported
bool | discardIOXS
char * | moduleNameStr
tvbuff_t * | tvb_slot
tvbuff_t * | tvb_subslot
uint8_t | last_sb_cb
uint8_t | lastToggleBit

## Detailed Description

Describes a single IO data object within a cyclic PROFINET frame, including PROFIsafe parameters and dissection state.

## Member Data Documentation

## ◆ amountInGSDML

uint16_t tagIoDataObject::amountInGSDML

Number of times this submodule appears in the GSDML, used for validation.

## ◆ api

uint32_t tagIoDataObject::api

Application Process Identifier scoping the module and submodule ident numbers.

## ◆ discardIOXS

bool tagIoDataObject::discardIOXS

True if the IOXS (IO provider/consumer status) byte should be suppressed during dissection.

## ◆ dstAddr

address tagIoDataObject::dstAddr

Network destination address of the consumer of this IO data object.

## ◆ f_crc_len

uint8_t tagIoDataObject::f_crc_len

Length in bytes of the PROFIsafe CRC appended to the safety data.

## ◆ f_crc_seed

bool tagIoDataObject::f_crc_seed

PROFIsafe CRC seed selection flag; false selects seed 0, true selects seed 1.

## ◆ f_dest_adr

uint16_t tagIoDataObject::f_dest_adr

PROFIsafe destination F-Address assigned to this safety device.

## ◆ f_par_crc1

uint16_t tagIoDataObject::f_par_crc1

PROFIsafe F-Parameter CRC1 integrity check value.

## ◆ f_src_adr

uint16_t tagIoDataObject::f_src_adr

PROFIsafe source F-Address assigned to the safety controller.

## ◆ fParameterIndexNr

uint32_t tagIoDataObject::fParameterIndexNr

F-Parameter index number used to locate PROFIsafe parameters for this object.

## ◆ frameOffset

uint16_t tagIoDataObject::frameOffset

Byte offset of this IO data object within the cyclic data frame.

## ◆ last_sb_cb

uint8_t tagIoDataObject::last_sb_cb

Most recently observed status or control byte value for this object, used for change detection.

## ◆ lastToggleBit

uint8_t tagIoDataObject::lastToggleBit

Last seen PROFIsafe toggle bit, used to detect retransmissions and sequence errors.

## ◆ length

uint16_t tagIoDataObject::length

Length in bytes of the IO data payload for this object.

## ◆ moduleIdentNr

uint32_t tagIoDataObject::moduleIdentNr

Module ident number as declared in the GSD/GSDML file.

## ◆ moduleNameStr

char* tagIoDataObject::moduleNameStr

Human-readable module name string sourced from the GSD/GSDML file.

## ◆ profisafeSupported

bool tagIoDataObject::profisafeSupported

True if this submodule has been identified as PROFIsafe-capable.

## ◆ slotNr

uint16_t tagIoDataObject::slotNr

Slot number of the module that owns this IO data object.

## ◆ srcAddr

address tagIoDataObject::srcAddr

Network source address of the device supplying this IO data object.

## ◆ subModuleIdentNr

uint32_t tagIoDataObject::subModuleIdentNr

Submodule ident number as declared in the GSD/GSDML file.

## ◆ subSlotNr

uint16_t tagIoDataObject::subSlotNr

Subslot number within the slot that owns this IO data object.

## ◆ tvb_slot

tvbuff_t* tagIoDataObject::tvb_slot

Tvbuff spanning the slot portion of the frame data, used for sub-dissection.

## ◆ tvb_subslot

tvbuff_t* tagIoDataObject::tvb_subslot

Tvbuff spanning the subslot portion of the frame data, used for sub-dissection.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/plugins/epan/profinet/packet-pn.h